<?xml version="1.0" encoding="ISO-8859-1"?>
<TemplateAscx>
  <!-- 
      TypeGeneration = Assembly | Include 
      Assembly = Geração de DLL e CodeBehind
      Include  = Geração de CodeBehind dentro do próprio ASCX
-->

  <TypeGeneration><![CDATA[Include]]></TypeGeneration>

  <xmlnsremove><![CDATA[xmlns="http://www.w3.org/1999/xhtml"]]></xmlnsremove>
  <Register><![CDATA[<%@ Control Language="vb" AutoEventWireup="false" Inherits="WebFoundations.WFForms.UI.FormsBase" %>]]></Register>
  <Register><![CDATA[<%@ Import NameSpace="WebFoundations.WFForms.Toolbox.Entity.Attribute" %>]]></Register>
  <Register><![CDATA[<script language="JavaScript" src="%%PORTAL%%wfresources/formsweb/Scripts/WFForms.Masks.js"></script>]]></Register>
  <LegacyHtmlHeader>
    <![CDATA[<link rel="stylesheet" type="text/css" href="%%PORTAL%%wfresources/formsweb/Styles/WFForms.css" />
      <script language="JavaScript" src="%%PORTAL%%WFResources/Themes/js/jquery.js"></script>
      <link rel="stylesheet" type="text/css" href="%%PORTAL%%WFResources/WFCustom/styles/WFCustom.css" />
    ]]>
  </LegacyHtmlHeader>
  <HtmlHeader>
    <![CDATA[
  <asp:Panel class="wf-form-web" id="divControles" onKeyPress="return NinkiWeb.PressDefaultButton(event, this, 'btnSalvar')" runat="server">
    <asp:UpdatePanel ID="updateFormAuto" runat="server">
      <ContentTemplate>
	      <div id=wfformscustomheader></div>
  ]]>
  </HtmlHeader>
  <HtmlClassMember>
    <![CDATA[
      </ContentTemplate>
    </asp:UpdatePanel>
    <!--NOPRINT-->
    <section class='form-action actions'>
      <WFForms:PreviousButton cssclass="botaoformulario" id="btnVoltar" runat="server" SubjectAdapter="SubjectAdapter1"></WFForms:PreviousButton>
      <WFForms:Button id="btnSalvar" cssclass="botaoformulario" runat="server" SubjectAdapter="SubjectAdapter1"></WFForms:Button>
    </section>
    <!--/NOPRINT-->
  </asp:Panel>
  ]]>
  </HtmlClassMember>

  <HtmlClassMember>
    <![CDATA[
      <WFForms:Subject id="Subject1" runat="server"></WFForms:Subject>
      <WFForms:FormsControl id="FormsControl1" runat="server"></WFForms:FormsControl>
      <WFForms:SubjectAdapter id="SubjectAdapter1" runat="server" Subject="Subject1" FormsControl="FormsControl1" ContextPK="lngFormID"></WFForms:SubjectAdapter>
]]>
  </HtmlClassMember>

  <HtmlClassMember>
    <![CDATA[
      <!--#include file="%%ClassName%%ValueObject.vb" -->
]]>
  </HtmlClassMember>
  <HtmlClassMember>
    <![CDATA[
      <!--#include file="%%ClassName%%Facade.vb" -->
]]>
  </HtmlClassMember>

  <HtmlClassMember>
    <![CDATA[
<script language="vb" runat="server">
    Private Sub Page_Init(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Init
            Me.FormID = %%FormID%%
        FormsControl1.XmlConfig = "%%ReadXMLEstruct%%"
        FormsControl1.XmlSource = "%%ReadXMLDataSource%%"
            Me.Subject1.Facade = New %%ClassName%%Facade()
    End Sub 
</script>
]]>
  </HtmlClassMember>

  <HtmlFooter>
    <![CDATA[
    <div id=wfformscustomfooter>
    </div>
    ]]>
  </HtmlFooter>
</TemplateAscx>